A Sorcerer is an occupation which amplifies the ability of a Wizard. This Elemental Magic mostly damages opponents, and the Sorcerer is a long range Mystic. And, he can face monsters with his strong offensive ability but needs to act with a party due to his poor stamina. However, during party play, while other Fighters are in a melee situation Sorcerers can attack from safe places with the most critical damages. And a Sorcerer shows his ability fully during Siege Battle. A Sorcerer is known as a cannon during Siege Battle. A group of Sorcerers attacking enemy territory is the most feared thing at the battlefield.
So he uses skills are that are mainly offensive Elemental Magic. Burning enemies around themselves and striking from long distance are the ways they attack.
To be a Sorcerer, your level must be over 40 and you need to collect the Mark of the Scholar, the Mark of Trust, and the Mark of the Magus.
Ask about marks.
Return